List transactions

This request performs a simple search against transaction objects.

Available fields for criteria and order:

  • account
  • action
  • alt_key
  • amount
  • contract
  • created
  • currency
  • gateway
  • gateway_reference
  • id
  • initiated
  • payment_method
  • processed
  • reference
  • source
  • source_transaction
  • status
  • updated
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search criteria for filtering transactions. Available fields:

  • id
  • account
  • action
  • alt_key
  • amount
  • contract
  • created
  • currency
  • gateway
  • gateway_reference
  • gateway_status
  • initiated
  • payment_method
  • processed
  • reference
  • source
  • source_transaction
  • status
  • updated

Examples:

  • status=SUCCESS
  • account=acc_12345_67890
  • action=PAYMENT
  • created<>2024-01-01;2024-12-31
  • gateway_reference=ch_1234567890
string

Sort order for results. Supports any field that criteria supports. Defaults to created;desc if not specified. Append ;desc for descending order. Separate multiple order fields with commas.

Examples:

  • order=processed;desc
  • order=amount;desc
  • order=status,created;desc
string

Fields to expand into full objects. Separate multiple fields with commas.

Available fields:

  • account (account object)
  • captures (capture objects)
  • contract (contract object)
  • created_session (session object)
  • gateway (gateway object)
  • parts (transaction part objects)
  • payment_method (payment method object)
  • refunds (refund objects)
  • source_transaction (transaction object)
  • updated_session (session object)

Example: expand=account,contract,payment_method

integer

The maximum records to return

integer

The offset from the first records to start returning records

Responses

400

Bad request - invalid parameters

401

Unauthorized - invalid credentials

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json